<?php
/**
 * Extended free/busy access control for free/busy exports.
 *
 * PHP version 5
 *
 * @category Kolab
 * @package  Kolab_FreeBusy
 * @author   Gunnar Wrobel <wrobel@pardus.de>
 * @license  http://www.fsf.org/copyleft/lgpl.html LGPL
 * @link     http://pear.horde.org/index.php?package=Kolab_FreeBusy
 */

/**
 * Extended free/busy access control for free/busy exports.
 *
 * Copyright 2008-2010 Klarälvdalens Datakonsult AB
 *
 * See the enclosed file COPYING for license information (LGPL). If you did not
 * receive this file, see
 * http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
 *
 * @category Kolab
 * @package  Kolab_FreeBusy
 * @author   Gunnar Wrobel <wrobel@pardus.de>
 * @license  http://www.fsf.org/copyleft/lgpl.html LGPL
 * @link     http://pear.horde.org/index.php?package=Kolab_FreeBusy
 */
interface Horde_Kolab_FreeBusy_Export_Freebusy_Xacl
{
    /**
     * Is extended access to the given file allowed?
     *
     * @param string $file Name of the cached partial free/busy information.
     *
     * @return boolean|PEAR_Error True if extended access is allowed.
     */
    public function allow($file);

    /**
     * Return the ID of the user for whom extended free/busy access is being checked.
     *
     * @return string The user ID.
     */
    public function getUserId();

    /**
     * Purge the extended ACL information.
     *
     * @param string $file Name of the cached extended ACL information.
     *
     * @return boolean|PEAR_Error True if purging worked.
     */
    public function purge($file);
}